package lezione2.serializzazione.server;

import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;

import lezione2.serializzazione.Studente;

/**
 * Attende una connessione, invia una stringa, un oggetto Studente e una seconda
 * stringa, poi termina.
 * 
 * @author Raffaele Giordanelli
 * 
 */
public class SendObject {
	public static void main(String args[]) {
		try {
			ServerSocket server = new ServerSocket(3575);
			Socket client = server.accept();
			ObjectOutputStream output = new ObjectOutputStream(client.getOutputStream());
			output.writeObject("<Welcome>");
			Studente studente = new Studente(14520, "Leonardo", "da Vinci", "Ing. Informatica");
			output.writeObject(studente);
			output.writeObject("<Goodbye>");
			output.flush(); // riga aggiunta per il flushing del buffer
			output.close();
			client.close();
			server.close();
		} catch (Exception e) {
			System.err.println(e);
		}
	}

}
