package lezione2.serializzazione.client;

import java.io.ObjectInputStream;
import java.net.Socket;

import lezione2.serializzazione.Studente;

/**
 * Si connette al server, riceve una stringa, un oggetto Studente, una seconda
 * stringa, e termina.
 * 
 * @author Raffaele Giordanelli
 * 
 */
public class ReceiveObject {
	public static void main(String args[]) {
		try {
			Socket socket = new Socket("localhost", 3575);
			ObjectInputStream input = new ObjectInputStream(socket.getInputStream());
			String beginMessage = (String) input.readObject();
			System.out.println(beginMessage);
			Studente studente = (Studente) input.readObject();
			System.out.print(studente.getMatricola() + " - ");
			System.out.print(studente.getNome() + studente.getCognome());
			System.out.print(studente.getCorsoDiLaurea() + "\n");
			String endMessage = (String) input.readObject();
			System.out.println(endMessage);
			socket.close();
		} catch (Exception e) {
			System.err.println(e);
		}
	}
}
